Deprecated - Modify specific campaign instance.

The api to modify a specific campaign instance v1.0 (v1.0/admin/instances/{id}) is deprecated. The end of life is 31-Dec-2025. Use the following alternative API: PUT /v2.0/instances/{id}
API request is only valid for resources created using V1 version. When a V1 resource is modified by using the V2 API, it will be aligned as a V2 resource. Attempting to access V2-exclusive resources with the V1 API will result in a 400 error.
Modify a specific campaign instance. If called by application owner, the API can modify only instances that the owner created or that contain at least one application that the owner owns.
Entitlements required: manageAccessWorkflow [Manage Access Request Work Flows].

Path Params
string
required

Campaign Instance ID

Body Params

Campaign instance payload details:

- id: Campaign instance ID.
- event: The action to apply to the campaign instance.


Allowable values for event are: delete, pause, restart, runnow.
delete: Transitions the campaign instance to a cancelled state, indicating it is no longer active.
pause: Temporarily halts a running campaign instance, putting it in a paused state.
restart: Resumes a paused campaign instance, continuing its execution.
runnow: Triggers immediate execution of a scheduled campaign instance.

string

Campaign instance Id

string
required

The action to be applied to the campaign. Allowed values: 'delete', 'pause', 'restart', 'runnow' 'end', 'harddelete'

Responses

500

Your operation can't be processed because an internal server error occurred.

Language
URL
Response
Choose an example:
application/json